<?php include('casa/setup.casa.php');
$solic_codigo = DataForms::POST('solic_codigo');
$ubica_codigoDestino = DataForms::POST('ubica_codigo');

$Productos = new DB();
$UPDinventario = new DB();

$sqlProductos = "SELECT * FROM inventarios_solicitartraspasos
WHERE solic_codigo = '$solic_codigo';";

$Productos->dbSQL($sqlProductos);
while($Productos->next()){
	$prod_codigo = $Productos->dbField('prod_codigo');
	$solic_cantidadcajas = $Productos->dbField('solic_cantidadcajas');
	
	$sqlUPDinventario = "SELECT * FROM inventarios_productos
	WHERE prod_codigo = '$prod_codigo';";
	$UPDinventario->dbSQL($sqlUPDinventario);
	$UPDinventario->next();	
		$ubica_codigoOrigen = $UPDinventario->dbField('ubica_codigo');
		$prod_item = $UPDinventario->dbField('prod_item');
		$prod_traspaso = $UPDinventario->dbField('prod_traspaso');
		$prod_nombre = $UPDinventario->dbField('prod_nombre');
		$prod_foto = $UPDinventario->dbField('prod_foto');
		$prod_piezascaja = $UPDinventario->dbField('prod_piezascaja');
		$prod_cantidadcajas = $UPDinventario->dbField('prod_cantidadcajas');
		$prod_unidadesreal = $UPDinventario->dbField('prod_unidadesreal');
		$prod_preciounitario = $UPDinventario->dbField('prod_preciounitario');
		$prod_preciodocena = $UPDinventario->dbField('prod_preciodocena');
		$prod_preciocajadocena = $UPDinventario->dbField('prod_preciocajadocena');
		$prod_observaciones = $UPDinventario->dbField('prod_observaciones');

}
//actualizar estado
$sql = "UPDATE inventarios_solicitartraspasos SET
	solic_estado = '1',
	solic_aprobadopor = '$USID'
WHERE solic_codigo = '$solic_codigo';";

$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'traspasos-solicitudes-usuarios-cajeros/lista";</script>';
?>